fade_time <- 0.35;


// ============================================================================
//   UNDERGROUND
// ============================================================================

if(! ("underground" in state)){
	state.underground <- false;
  print("[DEBUG] Underground state initialized\n");
}

function go_underground(under){
  forest3.fade(under ? 0 : 1, fade_time);
  forest2.fade(under ? 0 : 1, fade_time);
  forest1.fade(under ? 0 : 1, fade_time);
  water2.fade(under ? 0 : 1, fade_time);
  water1.fade(under ? 0 : 1, fade_time);
  under_fore.fade(under ? 0 : 1, fade_time);
  under_fore2.fade(under ? 0 : 1, fade_time);
  trees1.fade(under ? 0 : 1, fade_time);
  foreground.fade(under ? 0 : 1, fade_time);
  fore.fade(under ? 0 : 1, fade_time);
  under_black.fade(under ? 1 : 0, fade_time);
  underground1.fade(under ? 1 : 0, fade_time);
  under2.fade(under ? 1 : 0, fade_time);
  under3.fade(under ? 1 : 0, fade_time);
  under_decor.fade(under ? 1 : 0, fade_time);
  state.underground <- under;
}

go_underground(state.underground);


// ============================================================================
//   PATHS
// ============================================================================

if(! ("path_down" in state)){
	state.path_down <- false;
  print("[DEBUG] 'Spy Eyes' road fork (down) initialized\n");
}

if(! ("path_up" in state)){
	state.path_up <- false;
  print("[DEBUG] 'Spy Eyes' road fork (up) initialized\n");
}

keys1.set_alpha(state.path_down ? 1 : 0);
keys2.set_alpha(state.path_up ? 0 : 1);
